Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.util
Class ModelConverter

`java.lang.Object
oracle.ovs.api.util.ModelConverter`

      public class ModelConverter

extends java.lang.Object

Convert manager models to Web Services models.

Constructor Summary
`ModelConverter()`

Method Summary
`static AlertLog` | `convertToAlertLog(oracle.ovs.datamodel.OvsAlert alert)`
`static java.util.List` | `convertToAlertLogs(java.util.List ovsAlerts)`
`static CDConfig` | `convertToCdconfig(oracle.ovs.datamodel.OvsCdrom cdrom)` Deprecated.
`static CdConfig` | `convertToCdConfig(oracle.ovs.datamodel.OvsCdrom cdrom)`
`static oracle.ovs.datamodel.OvsVmGenInfo` | `convertToGenInfo(VirtualMachine vm)`
`static HardDriveType` | `convertToHardDriveType(java.lang.String type)`
`static KeyboardLayout` | `convertToKeyboardLayout(oracle.ovs.datamodel.OvsMap keyboardMap)`
`static OperatingSystem` | `convertToOperatingSystem(oracle.ovs.datamodel.OvsOsResource osRes)`
`static java.util.ArrayList` | `convertToOperatingSystems(java.util.List osList)`
`static OVMGroup` | `convertToOVMGroup(oracle.ovs.datamodel.OvsGroup ovsGroup)`
`static OVMRoleConfig` | `convertToOVMRoleConfig(oracle.ovs.datamodel.OvsRole role)`
`static OVMUserConfig` | `convertToOVMUserConfig(oracle.ovs.datamodel.OvsUser ovsUser)`
`static OVMUserGroupConfig` | `convertToOVMUserGroupConfig(oracle.ovs.datamodel.OvsUserGroup oUG)`
`static OVMUserRoleConfig` | `convertToOVMUserRoleConfig(oracle.ovs.datamodel.OvsUserRole ur)`
`static OVMUserSiteConfig` | `convertToOVMUserSiteConfig(oracle.ovs.datamodel.OvsUserSite us)`
`static oracle.ovs.datamodel.OvsVdImg` | `convertToOvsVdImg(DiskConfig diskConf)`
`static java.util.ArrayList` | `convertToOvsVdImgs(DiskConfig[] diskConfigs)`
`static oracle.ovs.datamodel.OvsVirtualDisk` | `convertToOvsVirtualDisk(DiskConfig diskConf)`
`static java.util.ArrayList` | `convertToOvsVirtualDisks(DiskConfig[] diskConfigs)`
`static oracle.ovs.datamodel.OvsVmImg` | `convertToOvsVmImg(VirtualMachine vm)`
`static oracle.ovs.datamodel.OvsVmNetwork` | `convertToOvsVmNetwork(NICConfig nic)`
`static oracle.ovs.datamodel.OvsVmNetwork` | `convertToOvsVmNetwork(VirtualNetworkCard nic)`
`static java.util.ArrayList` | `convertToOvsVmNetworks(NICConfig[] vifs)`
`static java.util.ArrayList` | `convertToOvsVmNetworks(VirtualNetworkCard[] nics)`
`static SharedVirtualDisk` | `convertToSharedVirtualDisk(oracle.ovs.datamodel.OvsVirtualDisk disk, oracle.ovs.datamodel.OvsVdImg vdImg, java.lang.Long serverPoolId)`
`static VirtualDisk` | `convertToVirtualDisk(oracle.ovs.datamodel.OvsVirtualDisk disk, oracle.ovs.datamodel.OvsVdImg vdImg)`
`static VirtualMachine` | `convertToVirtualMachine(oracle.ovs.datamodel.OvsVmImg img, oracle.ovs.datamodel.OvsVmGenInfo genInfo)` convert to VirtualMachine
`static VirtualNetworkCard` | `convertToVirtualNetworkCard(oracle.ovs.datamodel.OvsVmNetwork network)`
`static java.util.List` | `convertToVirtualNetworkCards(java.util.List networks)`
`static VmMetrics` | `convertToVmMetrics(java.util.Map vmMetricMap, long vmId)`
`static VmStatus` | `convertToVmStatus(java.lang.String status, long vmId)`
`static java.lang.Long[]` | `getPreferredServerIds(VirtualServer[] preferredServers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelConverter

    public ModelConverter()

Method Detail

### convertToVirtualMachine

    public static VirtualMachine convertToVirtualMachine(oracle.ovs.datamodel.OvsVmImg img,
                                                         oracle.ovs.datamodel.OvsVmGenInfo genInfo)

  convert to VirtualMachine
  Parameters:
    `img` - genInfo
  Returns:
    new VirtualMachine

### convertToVmStatus

    public static VmStatus convertToVmStatus(java.lang.String status,
                                             long vmId)

### convertToHardDriveType

    public static HardDriveType convertToHardDriveType(java.lang.String type)

### convertToOvsVdImg

    public static oracle.ovs.datamodel.OvsVdImg convertToOvsVdImg(DiskConfig diskConf)

### convertToOvsVirtualDisk

    public static oracle.ovs.datamodel.OvsVirtualDisk convertToOvsVirtualDisk(DiskConfig diskConf)

### convertToOvsVmNetwork

    public static oracle.ovs.datamodel.OvsVmNetwork convertToOvsVmNetwork(NICConfig nic)

### convertToOvsVmNetwork

    public static oracle.ovs.datamodel.OvsVmNetwork convertToOvsVmNetwork(VirtualNetworkCard nic)

### convertToOvsVmImg

    public static oracle.ovs.datamodel.OvsVmImg convertToOvsVmImg(VirtualMachine vm)

### convertToGenInfo

    public static oracle.ovs.datamodel.OvsVmGenInfo convertToGenInfo(VirtualMachine vm)

### convertToOvsVmNetworks

    public static java.util.ArrayList convertToOvsVmNetworks(NICConfig[] vifs)

### convertToOvsVmNetworks

    public static java.util.ArrayList convertToOvsVmNetworks(VirtualNetworkCard[] nics)

### convertToOvsVirtualDisks

    public static java.util.ArrayList convertToOvsVirtualDisks(DiskConfig[] diskConfigs)

### convertToOvsVdImgs

    public static java.util.ArrayList convertToOvsVdImgs(DiskConfig[] diskConfigs)

### convertToVirtualNetworkCards

    public static java.util.List convertToVirtualNetworkCards(java.util.List networks)

### convertToVirtualNetworkCard

    public static VirtualNetworkCard convertToVirtualNetworkCard(oracle.ovs.datamodel.OvsVmNetwork network)

### convertToSharedVirtualDisk

    public static SharedVirtualDisk convertToSharedVirtualDisk(oracle.ovs.datamodel.OvsVirtualDisk disk,
                                                               oracle.ovs.datamodel.OvsVdImg vdImg,
                                                               java.lang.Long serverPoolId)

### convertToVirtualDisk

    public static VirtualDisk convertToVirtualDisk(oracle.ovs.datamodel.OvsVirtualDisk disk,
                                                   oracle.ovs.datamodel.OvsVdImg vdImg)

### getPreferredServerIds

    public static java.lang.Long[] getPreferredServerIds(VirtualServer[] preferredServers)

### convertToOperatingSystems

    public static java.util.ArrayList convertToOperatingSystems(java.util.List osList)

### convertToOperatingSystem

    public static OperatingSystem convertToOperatingSystem(oracle.ovs.datamodel.OvsOsResource osRes)

### convertToAlertLogs

    public static java.util.List convertToAlertLogs(java.util.List ovsAlerts)

### convertToAlertLog

    public static AlertLog convertToAlertLog(oracle.ovs.datamodel.OvsAlert alert)

### convertToCdconfig

    public static CDConfig convertToCdconfig(oracle.ovs.datamodel.OvsCdrom cdrom)

  Deprecated.
  Parameters:
    `cdrom` -
  Returns:

### convertToCdConfig

    public static CdConfig convertToCdConfig(oracle.ovs.datamodel.OvsCdrom cdrom)

### convertToOVMUserConfig

    public static OVMUserConfig convertToOVMUserConfig(oracle.ovs.datamodel.OvsUser ovsUser)

### convertToOVMGroup

    public static OVMGroup convertToOVMGroup(oracle.ovs.datamodel.OvsGroup ovsGroup)

### convertToOVMUserGroupConfig

    public static OVMUserGroupConfig convertToOVMUserGroupConfig(oracle.ovs.datamodel.OvsUserGroup oUG)

### convertToOVMUserSiteConfig

    public static OVMUserSiteConfig convertToOVMUserSiteConfig(oracle.ovs.datamodel.OvsUserSite us)

### convertToOVMUserRoleConfig

    public static OVMUserRoleConfig convertToOVMUserRoleConfig(oracle.ovs.datamodel.OvsUserRole ur)

### convertToOVMRoleConfig

    public static OVMRoleConfig convertToOVMRoleConfig(oracle.ovs.datamodel.OvsRole role)

### convertToVmMetrics

    public static VmMetrics convertToVmMetrics(java.util.Map vmMetricMap,
                                               long vmId)

### convertToKeyboardLayout

    public static KeyboardLayout convertToKeyboardLayout(oracle.ovs.datamodel.OvsMap keyboardMap)

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.